PUT Update rule
Update rule settings and conditions
Update rule settings and conditions
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/learning-path-rules/{id}" \ -H "Content-Type: application/json" \ -d '{ "rule_type": "completion_criteria", "name": "Example name", "description": "Example description", "conditions": { "type": "score_threshold", "minScore": 1, "maxScore": 1, "nodeId": "{nodeId}", "status": "completed", "afterDate": "2026-01-15T12:00:00Z", "beforeDate": "2026-01-15T12:00:00Z", "daysSinceEnrollment": 1 }, "actions": { "type": "unlock_node", "nodeId": "{nodeId}", "nodeIds": [ "{nodeIds_item}" ], "message": "Example message", "notificationType": "email" }, "target_node_id": "{target_node_id}", "is_active": true, "priority": 1, "metadata": { "external_id": "{external_id}", "notes": "Example notes", "created_by_system": "Example created by system", "tags": [ "Example tags item" ] } }'{ "data": { "id": "{id}", "learning_path_id": "{learning_path_id}", "name": "string", "conditions": { "type": "score_threshold", "minScore": 0, "maxScore": 0, "nodeId": "{nodeId}", "status": "completed", "afterDate": "2019-08-24T14:15:22Z", "beforeDate": "2019-08-24T14:15:22Z", "daysSinceEnrollment": 0, "property1": "string", "property2": "string" }, "actions": { "type": "unlock_node", "nodeId": "{nodeId}", "nodeIds": [ "{items}" ], "message": "string", "notificationType": "email", "property1": "string", "property2": "string" }, "metadata": { "external_id": "string", "notes": "string", "created_by_system": "string", "tags": [ "string" ], "property1": "string", "property2": "string" }, "is_active": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}